"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const metadataInfoManager_1 = require("./metadataInfoManager");
class SourcePathParser {
    constructor(sourcePath) {
        this.sourcePath = sourcePath;
        this.cleanedPath = this.trimMetaXml(this.sourcePath);
    }
    getMetadataInfo() {
        const metadataInfoManager = new metadataInfoManager_1.default();
        return metadataInfoManager.getMetadataInfoByPath(this.cleanedPath);
    }
    trimMetaXml(sourcePath) {
        return sourcePath.endsWith(constants_1.META_XML_SUFFIX)
            ? sourcePath.slice(0, -9)
            : sourcePath;
    }
}
exports.default = SourcePathParser;
//# sourceMappingURL=sourcePathParser.js.map