"use strict";
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
class UsernameHandler {
    // tslint:disable-next-line: member-ordering
    static getInstance() {
        if (!UsernameHandler.instance) {
            UsernameHandler.instance = new UsernameHandler();
        }
        return UsernameHandler.instance;
    }
    initialize(targetUsername) {
        this.targetUsername = targetUsername;
    }
    async getUsername() {
        const aggregator = await core_1.ConfigAggregator.create();
        const defaultUsername = this.targetUsername ||
            aggregator.getPropertyValue('defaultusername');
        return await core_1.Aliases.fetch(defaultUsername);
    }
}
exports.UsernameHandler = UsernameHandler;
//# sourceMappingURL=usernameHandler.js.map